# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.blogger
Class PostEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<PostEntry>
                  com.google.gdata.data.blogger.PostEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class PostEntry

extends BaseEntry<PostEntry>

Describes a blog post entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PostEntry()` Default mutable constructor.
`PostEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getEnclosureLink()` Returns the link that identifies a resource related to the entry.
`Link` `getEntryPostLink()` Returns the link that provides the URI that can be used to post new entries to the feed.
`Link` `getFeedLink()` Returns the link that provides the URI of the full feed (without any query parameters).
`Link` `getRepliesHtmlLink()` Returns the link that provides the URI of the web content.
`Link` `getRepliesLink()` Returns the link that provides the URI of the web content.
`MediaThumbnail` `getThumbnail()` Returns the media thumbnail.
`Total` `getTotal()` Returns the total.
`boolean` `hasThumbnail()` Returns whether it has the media thumbnail.
`boolean` `hasTotal()` Returns whether it has the total.
`void` `setThumbnail(MediaThumbnail thumbnail)` Sets the media thumbnail.
`void` `setTotal(Total total)` Sets the total.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostEntry

    public PostEntry()

  Default mutable constructor.

### PostEntry

    public PostEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getThumbnail

    public MediaThumbnail getThumbnail()

  Returns the media thumbnail.

  Returns:
    media thumbnail

### setThumbnail

    public void setThumbnail(MediaThumbnail thumbnail)

  Sets the media thumbnail.

  Parameters:
    `thumbnail` - media thumbnail or `null` to reset

### hasThumbnail

    public boolean hasThumbnail()

  Returns whether it has the media thumbnail.

  Returns:
    whether it has the media thumbnail

### getTotal

    public Total getTotal()

  Returns the total.

  Returns:
    total

### setTotal

    public void setTotal(Total total)

  Sets the total.

  Parameters:
    `total` - total or `null` to reset

### hasTotal

    public boolean hasTotal()

  Returns whether it has the total.

  Returns:
    whether it has the total

### getEnclosureLink

    public Link getEnclosureLink()

  Returns the link that identifies a resource related to the entry.

  Returns:
    Link that identifies a resource related to the entry or `null` for none.

### getEntryPostLink

    public Link getEntryPostLink()

  Returns the link that provides the URI that can be used to post new entries to the feed.

  Returns:
    Link that provides the URI that can be used to post new entries to the feed or `null` for none.

### getFeedLink

    public Link getFeedLink()

  Returns the link that provides the URI of the full feed (without any query parameters).

  Returns:
    Link that provides the URI of the full feed (without any query parameters) or `null` for none.

### getRepliesHtmlLink

    public Link getRepliesHtmlLink()

  Returns the link that provides the URI of the web content.

  Returns:
    Link that provides the URI of the web content or `null` for none.

### getRepliesLink

    public Link getRepliesLink()

  Returns the link that provides the URI of the web content.

  Returns:
    Link that provides the URI of the web content or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`